Open SCAP Library: oval_variable_model Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_variable_model Struct Reference
OVAL » OVALVAR

The OVAL variable model facilitates access to external variable value bindings used to to constrain the evaluation of OVAL objects. More...

`#include <oval_types.h>`

## Public Member Functions
struct oval_variable_model * | oval_variable_model_new (void)
| Create a new empty OVAL variable model.
struct oval_variable_model * | oval_variable_model_import_source (struct oscap_source *source)
| Import the content from the oscap_source into a new oval_variable_model. More...
struct oval_variable_model * | oval_variable_model_import (const char *file)
| Import the content from the file into a new oval_variable_model. More...
struct oval_variable_model * | oval_variable_model_clone (struct oval_variable_model *)
| Clone an OVAL variable model. More...
void | oval_variable_model_free (struct oval_variable_model *)
| Free memory allocated to a specified oval_variable_model. More...
int | oval_variable_model_export (struct oval_variable_model *, const char *file)
| Export the specified oval_variable_model into file.
Setters
void | oval_variable_model_add (struct oval_variable_model *model, char *varid, const char *comment, oval_datatype_t datatype, char *value)
| Get the values bound to a specified external variable. More...
Getters
struct oval_string_iterator * | oval_variable_model_get_variable_ids (struct oval_variable_model *)
| Get all external variables managed by a specified oval_variable_model. More...
bool | oval_variable_model_has_variable (struct oval_variable_model *model, const char *id)
| Return true if variable with ID is present in variable model, false otherwise. More...
oval_datatype_t | oval_variable_model_get_datatype (struct oval_variable_model *, char *)
| Get a specified external variable datatype. More...
const char * | oval_variable_model_get_comment (struct oval_variable_model *, char *)
| Get a specified external variable comment. More...
struct oval_value_iterator * | oval_variable_model_get_values (struct oval_variable_model *, char *)
| Get the values bound to a specified external variable. More...

## Data Fields
struct oval_generator * | generator
struct oval_string_map * | varmap

## Detailed Description

The OVAL variable model facilitates access to external variable value bindings used to to constrain the evaluation of OVAL objects.

The documentation for this struct was generated from the following files:

- oval_varModel.c
- oval_variables.h